<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
	<form-beans>
<!--	FORMULARIOS-->
		<form-bean
				name="w83bFormBusqPlantillas"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="codSelec"	type="java.lang.String"/>
				<form-property name="fase" type="java.lang.String"/>
				<form-property name="tramite" type="java.lang.String" />
				<form-property name="descfase" type="java.lang.String"/>
				<form-property name="desctramite" type="java.lang.String" />
				<form-property name="w83bPlantillasBean" type="w83b.w83bBeans.W83bPlantillasBean"/>
		</form-bean>
		<form-bean
				name="w83bFormNuevoPlantillas"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bPlantillasNuevoBean" type="w83b.w83bBeans.W83bPlantillasBean"/>
				<form-property name="fichero" type="org.apache.struts.upload.FormFile" />
		</form-bean>
<!--	CONTEXTOS-->
		<form-bean
				name="contextoOP"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.menu.mantenimientos.plantillas"/>
				<form-property name="strTitleKey" type="java.lang.String" initial="comun.plantillas.filtro"/>
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="action" type="java.lang.String"/>
				<form-property name="busqRealizada" type="java.lang.String" initial="false"/>
				<form-property name="w83bListaCod" type="java.util.List"/>
				<form-property name="codSelec" type="java.lang.String"/>
				<form-property name="modoPantalla" type="java.lang.String" initial="B"/>
				<form-property name="migas" type="java.lang.String" initial ="inicio.mantenimiento.plantillas"/>
				<form-property name="subOpFlag" type="java.lang.String" initial="plantillas"/>
				<form-property name="w83bResultado" type="java.lang.String"/>

				<form-property name="fase" type="java.lang.String"/>
				<form-property name="tramite" type="java.lang.String" />
				<form-property name="descfase" type="java.lang.String"/>
				<form-property name="desctramite" type="java.lang.String" />
				<form-property name="fichero" type="org.apache.struts.upload.FormFile" />

				<form-property name="w83bPlantillasBean" type="w83b.w83bBeans.W83bPlantillasBean"/>
				<form-property name="w83bPlantillasNuevoBean" type="w83b.w83bBeans.W83bPlantillasBean"/>
				<form-property name="w83bPlantillasNuevoBeanSalida" type="w83b.w83bBeans.W83bPlantillasBean"/>
				<form-property name="w83bPlantillasNuevoTempBean" type="w83b.w83bBeans.W83bPlantillasBean"/>
				<form-property name="w83bPlantillasTempBean" type="w83b.w83bBeans.W83bPlantillasBean"/>
				<form-property name="w83bListaPlantillas" type="java.util.List"/>
		</form-bean>
	</form-beans>
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">

		<action
				path ="/w83bInicioBusquedaPlantillasMenu" forward="paginaPlantillasMenu"/>
		<action
				path ="/w83bInicioAnyadirPlantillasMenu" forward="paginaAnyadirPlantillasMenu"/>
<!--	DISPATCHES-->
		<action
				path="/w83bDispatch"
				name="w83bFormBusqPlantillas"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.buscar"
					path="/w83bBusqPlantillas.do"/>
				<forward
					name="comun.boton.editar"
					path="/w83bTablaPlantillaDetalle.do"/>
				<forward
					name="comun.boton.consultar"
					path="/w83bTablaPlantillaDetalle.do"/>
				<forward
					name="comun.boton.abrirPlantilla"
					path="/w83bRtfPlantillaDetalle.do"/>
				<forward
					name="comun.boton.exportaraExcel"
					path="/w83bTablaPlantillasExcel.do"/>
				<forward
					name="comun.boton.atras"
					path="/w83bAtrasPlantillasBusq.do"/>
		</action>

		<action
				path="/w83bDispatchNuevo"
				name="w83bFormNuevoPlantillas"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.guardar"
					path="/w83bMovimientoPlantillas.do"/>
				<forward
					name="comun.boton.abrirRtf"
					path="/w83bTablaPlantillasRtf.do"/>
				<forward
					name="comun.boton.atras"
					path="/w83bTablaPlantillasAtrasNuevoEdicion.do"/>
		</action>


		<!-- Operaciones de Paso -->
		
		<action path="/w83bTablaPlantillasOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bPlantillas.W83bTablaPlantillasOPAction" 
			 validate="false">
			<forward name="find" path="/w83bBusqPlantillas.do"/>
			<forward name="ok" path="/w83bTablaPlantillasOutOP.do"/>
			<forward name="outOP" path="/w83bTablaPlantillasOutOP.do"/>
			<forward name="error" path="/w83bInicioBusquedaPlantillasMenu.do"/>
		</action>
		
		<action path="/w83bTablaPlantillasOutOP"
		 scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bPlantillas.W83bTablaPlantillasOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioBusquedaPlantillasMenu.do"/>
			<forward name="error" path="/w83bInicioBusquedaPlantillasMenu.do"/>
		</action>
		
		<action path="/w83bAtrasPlantillasBusq"
		type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/mantenimientosOP/w83bInicioMantenimientos.do">
		</action>
		
		<action path="/w83bTablaPlantillasAtrasNuevoEdicion"
		name="w83bFormBusqPlantillas" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bPlantillas.W83bTablaPlantillasAtrasNuevoEdicionAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioBusquedaPlantillasMenu.do"/>
			<forward name="error" path="/w83bInicioAnyadirPlantillasMenu.do"/>
		</action>
		
		<action path="/w83bTablaPlantillasRtf" 
		name="w83bFormBusqPlantillas" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bPlantillas.W83bTablaPlantillasRtfAction" 
			 validate="false">
			 <forward name="errorE" path="/w83bInicioAnyadirPlantillasMenu.do" />
			 <forward name="errorB" path="/w83bInicioBusquedaPlantillasMenu.do" />
		</action>

		<action path ="/w83bPRETablaPlantillasRtf" forward="/w83bRtfPlantillaDetalle.do"/>
				
		<action path="/w83bTablaPlantillasExcel"
		name="w83bFormBusqPlantillas" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bPlantillas.W83bTablaPlantillasExcelAction" 
			 validate="false">
			 <forward name="error" path="/w83bInicioBusquedaPlantillasMenu.do"/>
		</action>
		
		<!-- Fin Operaciones de Paso -->
		<!-- Operaciones Internas -->
		
		<action path ="/w83bBusqPlantillas"
			 parameter="w83bBusqPlantillasOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaPlantillasMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaPlantillasOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaPlantillasMenu.do" />
		</action>
		
   		<action path ="/w83bTablaPlantillaDetalle" 
			 parameter="w83bDetallePlantillasOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaPlantillasMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioAnyadirPlantillasMenu.do" />
					<forward name="error" path="/w83bInicioAnyadirPlantillasMenu.do" />
		</action>
		
		<action path ="/w83bMovimientoPlantillas"
			 parameter="w83bMovimientoPlantillasOI" 
			 validate="true" name="w83bFormNuevoPlantillas"
			 input="/w83bInicioAnyadirPlantillasMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioAnyadirPlantillasMenu.do" />
					<forward name="error" path="/w83bInicioAnyadirPlantillasMenu.do" />
		</action>
		
		<action path ="/w83bRtfPlantillaDetalle" 
			 parameter="w83bRtfPlantillaDetalleOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaPlantillasMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaPlantillasRtf.do" />
					<forward name="error" path="/w83bTablaPlantillasRtf.do" />
		</action>
		<!-- Fin Operaciones Internas -->

		<!-- SUB-OPERACIONES -->



	</action-mappings>

	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />

	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83b.xml,
											/WEB-INF/validators-config/mantenimientos/validation-plantillas.xml"/>
	    <set-property property="i18nKey" value="w83bcomun" />
	</plug-in>

	<!-- Menus -->
</struts-config>